@font-face {
  font-family: "Font Awesome";
  src: url(../fonts/fa-solid-900.woff2);
  font-weight: bold;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji", "Font Awesome";
}

img {
  width: 100%;
}

.menu {
  display: flex;
  flex-direction: column;
  margin: 30px;
}

.menu-gauche {
  display: flex;
  flex-direction: row;
  margin: auto;
}

.menu-droite {
  display: flex;
  flex-direction: row;
  margin: auto;
}

.menu-lien {
  display: flex;
  flex-direction: row;
  margin: 10px;
  padding: 10px;
  text-decoration: none;
  color: black;
  font-weight: 700;
  font-size: 1.5rem;
}

.menu-lien:hover {
  background-color: lightgrey;
  border-radius: 5px;
}

.tournois-main {
  display: flex;
  flex-direction: column;
  width: 95%;
  margin: auto;
}

.page-title {
  font-size: 2.5rem;
}

.filters {
  display: flex;
  flex-direction: column;
}

.filter {
  margin: 10px;
  padding: 10px;
  border: solid black 3px;
  border-radius: 5px;
  background-color: white;
  color: black;
  cursor: pointer; 
  font-weight: 700;
  font-size: 1rem;
}

.filter:hover {
  background-color: lightgrey;
}

.cards {
  display: flex;
  flex-direction: column;
  margin: auto;
  align-content: stretch;
}

.card {
  display: flex;
  flex-direction: column;
  margin: 10px;
  padding: 10px;
  border: solid black 3px;
  border-radius: 10px;
  cursor: pointer;
}

.card-head {
  color: black;
  text-decoration: none;
  display: flex;
  flex-direction: column;
}

.card img {
  width: 100%;
  border-radius: 10px;
}

.card h3 {
  text-align: center;
  font-size: 2rem;
  font-weight: 700;
}

.card:hover {
  transition: ease-in-out;
  transform: translateY(-5px);
  transition-duration: 300ms;
  background-color: lightgrey;
}  

.tags {
  display: flex;
  flex-direction: column;
  width: 80%;
  margin: 10px auto;
  list-style: none;
}

.tag {
  margin: 5px;
  padding: 3px;
  border: solid black 3px;
  border-radius: 10px;
  text-align: center;
  cursor: pointer;
}

.inscriptions-info {
  font-weight: 700;
  text-align: center;
  font-size: 1.3rem;
}

.sinscrire {
  width: 50%;
  margin: 10px auto;
  padding: 10px;
  border: solid black 3px;
  border-radius: 10px;
  background-color: black;
  color: white !important;
  text-decoration: none;
  text-align: center;
  font-weight: 700;
}

.sinscrire:hover {
  background-color: lightgrey;
  color: black !important;
}

.desinscrire {
  width: 50%;
  margin: 10px auto;
  padding: 10px;
  border: solid black 3px;
  border-radius: 10px;
  background-color: white;
  color: black;
  text-decoration: none;
  text-align: center;
  font-weight: 700;
}

.desinscrire:hover {
  background-color: lightgrey;
  color: black;
}

.meta {
  text-align: center;
}

.new-tournois {
  display: flex;
  flex-direction: column;
  margin: 10px;
  padding: 10px;
  border: dashed black 3px;
  border-radius: 10px;
  cursor: pointer;
  text-decoration: none;
  color: black;
}

.new-tournois:hover {
  background-color: lightgrey;
  transition: ease-in-out;
  transition-duration: 300ms;
  transform: translateY(-5px);
}

.new-tournois img {
  width: 50%;
  margin: 5rem auto;
}

.new-tournois p {
  padding: 1rem;
  font-size: 2rem;
  font-weight: 700;
  text-align: center;
}

.contact {
  display: flex;
  flex-direction: column;
  margin: 20px;
}

.contact h2 {
  font-size: 2rem;
  text-align: center;
}

.contact form {
  display: flex;
  flex-direction: column;
}

.contact form label {
  margin-top: 10px;
  font-weight: 700;
}

.contact form input, textarea {
  padding: 5px;
  border: solid black 3px;
  border-radius: 10px;
}

.contact form input:hover, textarea:hover {
  background-color: lightgrey;
}

.contact form p {
  margin: 10px;
  text-align: center;
}

.horizontal {
  display: flex;
  width: 100%;
  margin: auto;
}

.horizontal input {
  width: 50%;
  margin: 10px;
  padding: 10px;
  border: solid black 3px;
  border-radius: 10px;
  font-weight: 700;
  font-size: 1.25rem;
  cursor: pointer;
}

.horizontal input:hover {
  background-color: lightgrey !important;
  color: black;
}

/* Page de login et inscription */
.columns {
  display: flex;
  flex-direction: column;
  margin: auto;
}

.columns h2 {
  margin: 10px;
  font-size: 2rem;
  text-align: center;
}

.columns form label {
  font-weight: 700;
}

.columns form input {
  margin-bottom: 10px;
  padding: 5px;
  border: solid black 3px;
  border-radius: 10px;
}

.columns .bouton {
  margin-top: 10px;
  padding: 5px;
  border: solid black 3px;
  border-radius: 10px;
  background-color: black;
  color: white;
  font-size: 1.3rem;
  font-weight: 700;
  cursor: pointer;
}

.columns .bouton:hover {
  background-color: lightgrey;
  color: black;
}

.columns form {
  display: flex;
  flex-direction: column;
}

.left-half {
  display: flex;
  flex-direction: column;
  margin: 20px;
}

.right-half {
  display: flex;
  flex-direction: column;
  margin: 20px;
}

/* Reset de mot de passe */
.password-recovery {
  display: flex;
  flex-direction: column;
  margin: 20px;
}

.password-recovery h2 {
  font-size: 2rem;
  text-align: center;
  margin: 10px;
}

.password-recovery p {
  margin: 10px auto;
  font-style: italic;
  text-align: center;
}

.password-recovery form {
  display: flex;
  flex-direction: column;
}

.password-recovery label {
  font-weight: 700;
}

.password-recovery input {
  margin-bottom: 10px;
  padding: 5px;
  border: solid black 3px;
  border-radius: 10px;
  font-size: 1.2rem;
}

.password-recovery input:hover {
  background-color: lightgrey;
  color: black;
}

.password-recovery .bouton {
  background-color: black;
  color: white;
  font-weight: 700;
  cursor: pointer;
}

/* Page de détails d'un tournois */
.tournois {
  display: flex;
  flex-direction: column;
  margin: 20px;
}

.tournois-header {
  display: flex;
  flex-direction: column;
}

.tournois-details {
  display: flex;
  flex-direction: column;
}

.tournois-title {
  display: flex;
  flex-direction: column;
}

.tournois-title h2 {
  margin: auto 10px;
  text-align: center;
}

.leaderboard {
  display: flex;
  flex-direction: column;
  padding: 10px;
  border: solid black 3px;
  border-radius: 10px;
  margin: 10px;
}

.leaderboard h3 {
  font-size: 1.5rem;
  text-align: center;
  margin: 10px;
}

.leaderboard ol {
  display: flex;
  flex-direction: column;
  margin: auto 20px
}

.suppression {
  display: flex;
  flex-direction: column;
  margin: 20px;
}

.suppression h2 {
  margin: 10px;
  text-align: center;
  font-weight: 800;
  font-size: 1.8rem;
}

.suppression p {
  text-align: center;
  font-size: 1.3rem;
}

.suppression section {
  display: flex;
  margin: 20px auto;
}

.suppression .non {
  margin: auto 20px;
  padding: 10px;
  border: solid black 3px;
  border-radius: 10px;
  color: black;
  text-decoration: none;
  font-size: 1.5rem;
  font-weight: 700;
}

.suppression .non:hover {
  background-color: lightgrey;
}

.suppression .oui {
  margin: auto 20px;
  padding: 10px;
  border: solid black 3px;
  border-radius: 10px;
  color: white;
  background-color: black;
  text-decoration: none;
  font-size: 1.5rem;
  font-weight: 700;
}

.suppression .oui:hover {
  background-color: lightgrey;
  color: black;
}

.edit {
  display: flex;
  flex-direction: column;
  margin: 20px;
}

.edit h2 {
  font-size: 2rem;
  text-align: center;
  margin: 10px;
}

.edit form {
  display: flex;
  flex-direction: column;
}

.edit form label {
  margin-top: 10px;
  font-weight: 700;
}

.edit form .input-select, .input-texte, .input-cal, .input-number {
  padding: 10px;
  border: solid black 3px;
  border-radius: 10px;
  background-color: white;
  font-size: 1.2rem;
}

.edit form input:hover {
  background-color: lightgrey;
}

.primary {
  background-color: black;
  color: white;
}

.scores {
  display: flex;
  flex-direction: column;
  margin: 20px;
}

.scores h2 {
  margin: 20px;
  font-size: 1.7rem;
  text-align: center;
}

.scores form {
  display: flex;
  flex-direction: column;
}

.scores tr {
  display: flex;
  flex-direction: column;
  margin: 20px;
  padding: 10px;
  border: dashed black 3px;
  border-radius: 10px;
}

.scores td {
  font-weight: 700;
  margin-top: 10px;
}

.scores .name {
  font-size: 1.5rem;
  text-align: center;
}

.title-boutons {
  display: flex;
  flex-direction: column;
}

.orga {
  width: 50%;
  margin: 10px auto;
  padding: 10px;
  border: dashed black 3px;
  border-radius: 10px;
  color: black;
  text-decoration: none;
  font-weight: 700;
  text-align: center;
}

.orga:hover {
  background-color: lightgrey;
}

.update {
  margin: 20px !important;
  
}

.disconnect {
  margin: 20px;
  padding: 10px;
  border: solid black 3px;
  border-radius: 10px;
  background-color: white;
  color: black;
  font-size: 1.3rem;
  font-weight: 700;
  cursor: pointer;
  text-decoration: none;
  text-align: center;
  width: 50%;
}

.bottom {
  display: flex;
  flex-direction: column;
  margin: 10px;
}

.bottom section {
  margin: 20px 0px;
  padding: 20px;
  border: solid black 3px;
  border-radius: 10px;
}

.bottom h3 {
  font-size: 1.3rem;
  text-align: center;
}

.bottom ul, ol {
  margin-left: 10px;
}

.disconnect:hover {
  background-color: lightgrey;
}

@media (min-width: 1024px) {
  .tournois-main {
    width: 75%;
  }
  
 .filters {
    flex-direction: row;
  }

  .cards {
    flex-wrap: wrap;
    flex-direction: row;
  }

  .card {
    width: 30%;
  }

  .menu {
    flex-direction: row;
  }

  .menu-gauche {
    margin: 0 auto 0 0;
  }

  .menu-droite {
    margin: 0 0 0 auto;
  }    
  
  .tags {
    flex-direction: row;
  }
  
  .new-tournois {
    width: 30%;
  }
  
  .contact {
    width: 35%;
    margin: auto;
  }
  
  .columns {
    flex-direction: row;
    width: 70%;
  }
  
  .columns .bouton {
    width: 50%;
    margin: 10px auto;
  }
  
  .left-half {
    width: 50%;
    margin-right: auto;
  }
  
  .right-half {
    width: 50%;
    margin-left: 50px;
  }
  
  .password-recovery {
    width: 35%;
    margin: auto;
  }
  
  .password-recovery .bouton {
    width: 50%;
    margin: auto;
  }
  
  .tournois {
    width: 75%;
    margin: auto;
  }
  
  .tournois-header {
    flex-direction: row;
  }
  
  .tournois-details {
    width: 80%;
  }
  
  .tournois-title {
    flex-direction: row;
  }
  
  .tournois-title .bouton {
    width: 100%;
    margin: auto auto auto 20px;
  }
  
  .tournois-title h2 {
    font-size: 2rem;
  }
  
  .tournois-details ul {
    margin-left: 0px;
  }
  
  .leaderboard {
    width: 30%;
  }
  
  .suppression {
    width: 50%;
    margin:auto;
  }
  
  .edit {
    width: 35%;
    margin: auto;
  }
  
  .scores {
    width: 50%;
    margin: auto;
  }
  
  .scores tr {
    display: flex;
    flex-direction: row;
    margin: 0px;
    padding: 0px;
    border: none;
    border-radius: 0px;
  }
  
  .scores .name {
    font-size: 1.3rem;
    text-align: center;
    margin: auto;
    font-weight: 800;
  }
  
  .scores td {
    margin: 10px;
    width: 30%;
  }
  
  .orga {
    width: 100%;
    margin: 10px auto auto 20px;
  }
  
  .bottom {
    flex-direction: row;
  }
  
  .bottom section {
    width: 50%;
    margin: 20px;
  }
}

